Subject: Re: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Andrea Corallo <[email-masked]>
Date: Sun, 14 Mar 2021 08:02:22 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 14 Mar 2021 07:31:14 +0000
>> 
>> >> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47067#98>
>> >
>> > Shouldn't that bump the ABI number as well?
>> 
>> Right good point I think it should.
>> 
>> Anyway thinking about: this should be good for a quick test maybe
>> removing (or renaming) the discussed .eln.  But if it proves this to be
>> the bug you'll have to rebuild from scratch to have a reliable system
>> anyway , as the ABI number will not cover us for the native code that
>> was already dumped with the image.
>
> Sorry, I don't understand: what is the procedure for testing this
> patch?
>
> I thought I should do this, in the order specified:
>
>   . apply the patch
>   . increase the ABI version
>   . rebuild Emacs
>   . natively-compile all the preloaded Lisp files, then redump Emacs
>   . visit a C file and let Emacs native-compile all the cc-*.el files
>   . restart Emacs and try reproducing the crash

Yeah this would be 100% the proper way...  Given the function
potentially miscompiled has been isolated I was suggesting just to have
a quick confirmation doing:

  - apply the patch
  - "make" so we have the new compiler working
  - rename the .eln containing the maybe miscompiled function so that
    is not loaded
  - start Emacs and load cc-mode so the file gets native compiled
  - when this is done (the maybe miscompiled function will be native)
    try to reproduce on dispnew.c

If this gets further with no crash should be prove that now the function
is working properly.  Indeed as you suggest to have a relialble system
and probably to do a more certain test the full procedure you mentioned
will in case be necessary.

Thanks

  Andrea